import { Plugin } from 'vite';
import { Types } from '@graphql-codegen/plugin-helpers';
export interface Options {
    /**
     * Enable codegen in serve mode.
     * @defaultValue `true`
     */
    runOnStart?: boolean;
    /**
     * Enable codegen in build mode.
     * @defaultValue `true`
     */
    runOnBuild?: boolean;
    /**
     * Enable codegen integration with vite file watcher.
     * @defaultValue `true`
     */
    enableWatcher?: boolean;
    /**
     * Override codegen configuration just for this plugin.
     */
    configOverride?: Partial<Types.Config>;
}
export default function VitePluginGraphQLCodegen(options?: Options): Plugin;
